package com.muyu.iotDB.service;

import com.muyu.iotDB.data.IotDbParam;
import com.muyu.mqtt.dao.MessageData;
import org.apache.iotdb.rpc.IoTDBConnectionException;
import org.apache.iotdb.rpc.StatementExecutionException;

import java.rmi.ServerException;

/**
 * IotDbServer
 *
 * @author Yangle
 * Date 2024/6/16 10:41
 */
public interface IotDbServer {
    void insertData(IotDbParam iotDbParam) throws ServerException, IoTDBConnectionException, StatementExecutionException;

    Object queryDataFromIotDb(IotDbParam iotDbParam) throws Exception;

    void add(MessageData messageData) throws ServerException, IoTDBConnectionException, StatementExecutionException;

    Object selectQueryData(String vin) throws IoTDBConnectionException, StatementExecutionException;
}
